import { ChangeDetectorRef, OnDestroy, PipeTransform } from '@angular/core';
import { Observable } from 'rxjs';
import { RequestState } from './request-state';
import { HttpResponse } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class AsyncWithStatusPipe<T> implements PipeTransform, OnDestroy {
    private _cdr?;
    private _latestState?;
    private _subscription?;
    private _source?;
    constructor(_cdr?: ChangeDetectorRef | undefined);
    ngOnDestroy(): void;
    transform(source: Observable<HttpResponse<T> | T>): RequestState<T>;
    private unsubscribe;
    static ɵfac: i0.ɵɵFactoryDeclaration<AsyncWithStatusPipe<any>, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AsyncWithStatusPipe<any>, "asyncWithStatus">;
}
